var gl_iItemsLoaded  = 0;

function SetHidden(elRow, strItem, strDomain, fHidden)
{
  var strReq = "ajax_ab_sethidden?d=";

  if ( strDomain )
    strReq += strDomain + "&u=";
  strReq += strItem + "&hidden=" + (fHidden ? "1" : "0");

  utilAJAX( strReq,
    function(xmlRoot) {
      if ( xmlRoot.firstChild && xmlRoot.firstChild.nodeName == "ok" )
      {
        if ( fHidden )
          elRow.classList.add( "pe__row-disabled" );
        else
          elRow.classList.remove( "pe__row-disabled" );
      }
    }  // function(xmlRoot)
  );  // utilAJAX()
}

function LoadItems(fMore=true)
{
  const elDomain = document.getElementById( "filter-form__domain" );
  const elType = document.getElementById( "filter-form__type" );
  const strType = elType ? elType.options[elType.selectedIndex].value : "s";
  const strText = document.getElementById( "filter-form__text" ).value;
  const elList = document.getElementById( "list" );
  const elLoadPrev = document.getElementById( "load-prev" );
  const elLoadMore = document.getElementById( "load-more" );
  const elFrom = document.getElementById( "filter-form__from" );
  var iFrom = parseInt( elFrom.value );
  const fUserLevelAdmin = document.getElementById( "menu__user-level" ).value == "admin";
  const strDomain = elDomain ? elDomain.value : null;

  if ( isNaN( iFrom ) )
    iFrom = 0;

  var strReq = "ajax_ab_list?";

  if ( strDomain )
    strReq += "d=" + strDomain + "&";

  strReq += "t=" + strType + "&s=" + encodeURIComponent( strText ) + "&f=";
  if ( fMore )
    strReq += (iFrom + gl_iItemsLoaded);
  else
    strReq += "-" + iFrom;

  const elFirstRow = elList.firstChild;

  utilAJAX( strReq,
    function(xmlRoot) {
      var el;
      const xmlList = xmlRoot.firstChild;
      const iReplyFrom = parseInt( xmlList.getAttribute( "from" ) );

      if ( gl_iItemsLoaded == 0 )
      {
        if ( !xmlList.firstChild )
        {
          document.getElementById( "search-empty" ).classList.remove( "pe_hidden" );
          return;
        }
      }

      if ( !fMore )
      {
        elFrom.value = iReplyFrom;
        iFrom = iReplyFrom;
      }

      if ( iFrom != 0 )
        elLoadPrev.classList.remove( "pe_hidden" );
      else
        elLoadPrev.classList.add( "pe_hidden" );

      if ( fMore )
      {
        if ( xmlList.getAttribute( "more" ) == "1" )
          elLoadMore.classList.remove( "pe_hidden" );
        else
          elLoadMore.classList.add( "pe_hidden" );
      }

      for(xmlItem of xmlList.childNodes) {
        if ( xmlItem.nodeType != 1 || xmlItem.nodeName != "item" )
          continue;

        const strItem = utilGetNodeText( xmlItem );
        const fHidden = xmlItem.getAttribute( "hidden" ) == "1";

        const elRow = document.createElement( "div" );
        elRow.classList.add( "pe__row" );
        elRow.classList.add( "pe__row_ctl" );
        if ( fHidden )
          elRow.classList.add( "pe__row-disabled" );
        if ( fMore )
          elList.appendChild( elRow );
        else
          elList.insertBefore( elRow, elFirstRow );

        const elCaption = document.createElement( "div" );
        elCaption.classList.add( "peRowCtl__caption" );
        elRow.appendChild( elCaption );

        if ( elDomain )
          el = elCaption;
        else
        {
          el = document.createElement( "a" );
          el.href = "?tab=control&n=" + encodeURIComponent( strItem );
          elCaption.appendChild( el );
        }

        el.appendChild( document.createTextNode( strItem ) );

        const elCtl = document.createElement( "div" );
        elCtl.classList.add( "peRowCtl__ctl" );
        elRow.appendChild( elCtl );

        el = document.createElement( "input" );
        el.type = "checkbox";
        el.dataset.item = strItem;
        el.checked = !fHidden;

        el.addEventListener( "change", function(e) {
          SetHidden( elRow, strItem, strDomain, !e.target.checked );
        }, true );
        elCtl.appendChild( el );
        gl_iItemsLoaded++;
      }  // for(xmlItem ...
    }  // function(xmlRoot)
  );  // utilAJAX()
}  // LoadItems()

window.addEventListener( "load", function() {

  document.getElementById( "filter-form__loupe" ).addEventListener( "click", function(e) {
    document.getElementById( "filter-form" ).submit();
    e.preventDefault();
    return false;
  }, true );

  var el = document.getElementById( "load-prev__btn" );
  if ( el )
  {
    // 'Control' tab selected

    el.addEventListener( "click",
      function() { LoadItems( false ); }, true );
    document.getElementById( "load-more__btn" ).addEventListener( "click",
      function() { LoadItems( true ); }, true );

    document.getElementById( "filter-form__cross" ).addEventListener( "click", function(e) {
      document.getElementById( "filter-form__text" ).value = "";
      document.getElementById( "filter-form" ).submit();
      e.preventDefault();
      return false;
    }, true );

    LoadItems();
  }

  document.getElementById( "filter-form__text" ).focus();

}, true );
