<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output doctype-system="about:legacy-compat" method="html" indent="no" encoding="utf-8"/>

<xsl:template match="ui/ab">

  <script src="js/ab.js" type="text/javascript" language="javascript"></script>

  <div class="location-title">
    <a id="location-title__hamburger"
      href="#menu"
      class="location-title__hamburger"></a>
    <div class="location-title__text">
      Address book
    </div>
  </div>

  <xsl:if test="not(/ui/cu/@level='user')">
    <div class="tab-list unselectable">
      <input id="tab-list__tab-name" type="hidden" value="{name(./*)}"/>
      <xsl:choose>
        <xsl:when test="search">
          <div class="tab-list__item tab-list__item_selected">Search</div>
        </xsl:when>
        <xsl:otherwise>
          <a class="tab-list__item" href="?tab=search">Search</a>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="control">
          <div class="tab-list__item tab-list__item_selected">Control</div>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="/ui/cu/@level='admin'">
              <a class="tab-list__item" href="?tab=control">Control</a>
            </xsl:when>
            <xsl:otherwise>
              <a class="tab-list__item" href="?tab=control&amp;n={substring-after(/ui/cu,'@')}">Control</a>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:if>

  <xsl:apply-templates select="search"/>
  <xsl:apply-templates select="control"/>

</xsl:template>


<xsl:template match="ab/search">

  <form method="get" id="filter-form">
    <div class="list-filter">
      <select name="t" class="list-filter__control list-filter__type">
        <option value="s">
           <xsl:if test="search/@type='s'">
             <xsl:attribute name="selected">1</xsl:attribute>
           </xsl:if>
           ab&#x2026;
        </option>
        <option value="c">
           <xsl:if test="search/@type='c'">
             <xsl:attribute name="selected">1</xsl:attribute>
           </xsl:if>
           &#x2026;ab&#x2026;
        </option>
        <option value="e">
           <xsl:if test="search/@type='e'">
             <xsl:attribute name="selected">1</xsl:attribute>
           </xsl:if>
           &#x2026;ab
        </option>
      </select>
      <input class="list-filter__text"
        id="filter-form__text" autocomplete="off"
        type="text" name="s" value="{search}" maxlength="512"/>
      <a class="list-filter__control list-filter__control_loupe" id="filter-form__loupe"
        href="#">&#128269;</a>
    </div>
  </form>

  <div class="main-content">
    <xsl:apply-templates select="result"/>
  </div>

</xsl:template>

<xsl:template match="search/result">
  <div class="table">
    <div class="table__row">
      <div class="table__cell table__cell-hdr">
      </div>
      <div class="table__cell table__cell-hdr">
        Address
      </div>
      <div class="table__cell table__cell-hdr">
        Persone
      </div>
      <div class="table__cell table__cell-hdr">
        Organization
      </div>
      <div class="table__cell table__cell-hdr">
        Organization unit
      </div>
    </div>
    <xsl:apply-templates select="item"/>
  </div>
</xsl:template>

<xsl:template match="result/item">
  <div class="table__row">
    <div class="table__cell table__cell-center">
      <a href="data_ab_vcardfile?n={mail}"><img src="img/vcard.svg"/></a>
    </div>
    <div class="table__cell">
      <a href="mailto:{mail}">
        <xsl:value-of select="mail"/>
      </a>
      <xsl:if test="mail2">
        <div>
          <a href="mailto:{mail2}">
            <xsl:value-of select="mail2"/>
          </a>
        </div>
      </xsl:if>
    </div>
    <div class="table__cell">
      <xsl:value-of select="persone"/>
    </div>
    <div class="table__cell">
      <xsl:value-of select="o"/>
    </div>
    <div class="table__cell">
      <xsl:value-of select="ou"/>
    </div>
  </div>
</xsl:template>


<xsl:template match="ab/control">
  <xsl:if test="search/@name">
    <div class="location-title">
      <xsl:if test="/ui/cu/@level='admin'">
        <!-- Only an administrator can return to the list of domains. -->
        <a class="location-title__back" href="?tab=control"></a>
      </xsl:if>
      <div class="location-title__text"><xsl:value-of select="search/@name"/></div>
    </div>
  </xsl:if>

  <form method="get" id="filter-form">
    <xsl:if test="search/@name">
      <input type="hidden" id="filter-form__domain" name="n"
        value="{search/@name}"/>
    </xsl:if>
    <input type="hidden" id="filter-form__from" name="f"
      value="{search/@from}"/>
    <input type="hidden" name="tab" value="control"/>

    <div class="list-filter">
      <a class="list-filter__control list-filter__control_cross" id="filter-form__cross"
        href="#">&#10060;</a>

      <select name="t" class="list-filter__control list-filter__type"
        id="filter-form__type">
        <option value="s">
          <xsl:if test="search/@type='s'">
            <xsl:attribute name="selected">1</xsl:attribute>
          </xsl:if>
          ab&#x2026;
        </option>
        <option value="c">
          <xsl:if test="search/@type='c'">
            <xsl:attribute name="selected">1</xsl:attribute>
          </xsl:if>
          &#x2026;ab&#x2026;
        </option>
        <option value="e">
          <xsl:if test="search/@type='e'">
            <xsl:attribute name="selected">1</xsl:attribute>
          </xsl:if>
          &#x2026;ab
        </option>
      </select>

      <input class="list-filter__text"
        id="filter-form__text"
        type="text" name="s" value="{search}" maxlength="512"/>
      <a class="list-filter__control list-filter__control_loupe" id="filter-form__loupe"
        href="#">&#128269;</a>
    </div>
  </form>

  <div class="main-content">
    <form enctype="application/x-www-form-urlencoded" method="post">
      <div class="pe pe_hidden" id="load-prev">
        <div class="pe__row pe__row_btn">
          <input class="btn pe__wide-btn" id="load-prev__btn" type="button"
             value="Load previous items"/>
        </div>
      </div>

      <div class="pe pe_list" id="list">
      </div>

      <div class="pe pe_hidden" id="load-more">
        <div class="pe__row pe__row_btn">
          <input class="btn pe__wide-btn" id="load-more__btn" type="button"
             value="Load more..."/>
        </div>
      </div>
    </form>

    <div class="pe pe_hidden" id="search-empty">
      <div class="pe__row">
        No results found.
      </div>
    </div>
  </div>

</xsl:template>

</xsl:stylesheet>
