<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output doctype-system="about:legacy-compat" method="html" indent="no" encoding="utf-8"/>

<xsl:template match="ui/log">
  <script src="js/log.js" type="text/javascript" language="javascript"></script>

  <div class="location-title">
    <a id="location-title__hamburger"
      href="#menu"
      class="location-title__hamburger"></a>
    <div class="location-title__text">
      Log
    </div>
  </div>

  <div class="tab-list unselectable">
    <a class="tab-list__item" id="tab-list__filter" href="#">Filter</a>
    <a class="tab-list__item" id="tab-list__entries" href="#">Entries</a>
  </div>

  <div class="main-content">

    <form method="get" id="log-filter">
      <div class="pe">
        <div class="pe__row pe__row_ctl">
          <div class="peRowCtl__caption">
            Contains
          </div>
          <div class="peRowCtl__ctl">
            <input type="text" class="pe__inputText" id="log-form__text" value="{text}"/>
          </div>
        </div>
        <div class="pe__row pe__row_ctl">
          <div class="peRowCtl__caption">
            Modules
          </div>
          <div class="peRowCtl__ctl">
            <div class="peRowCtlCtl__group">
              <xsl:apply-templates select="module"/>
            </div>
          </div>
        </div>
        <div class="pe__row pe__row_ctl">
          <div class="peRowCtl__caption">
            Maximum detail level
          </div>
          <div class="peRowCtl__ctl">
            <select class="pe__select" id="log-form__level">
              <option value="1">
                <xsl:if test="level='1'">
                  <xsl:attribute name="selected">1</xsl:attribute>
                </xsl:if>
                <xsl:text>1</xsl:text>
              </option>
              <option value="2">
                <xsl:if test="level='2'">
                  <xsl:attribute name="selected">2</xsl:attribute>
                </xsl:if>
                <xsl:text>2</xsl:text>
              </option>
              <option value="3">
                <xsl:if test="level='3'">
                  <xsl:attribute name="selected">3</xsl:attribute>
                </xsl:if>
                <xsl:text>3</xsl:text>
              </option>
              <option value="4">
                <xsl:if test="level='4'">
                  <xsl:attribute name="selected">4</xsl:attribute>
                </xsl:if>
                <xsl:text>4</xsl:text>
              </option>
              <option value="5">
                <xsl:if test="level='5'">
                  <xsl:attribute name="selected">5</xsl:attribute>
                </xsl:if>
                <xsl:text>5</xsl:text>
              </option>
            </select>
          </div>
        </div>
        <div class="pe__row pe__row_btn">
          <input class="btn" type="submit" value="Apply"/>
        </div>
      </div>
    </form>

    <div id="log-entries">
      <input type="button" class="btn log-entries-pause-btn" value="Pause" id="log-entries__pause"/>
      <label class="log-entries__show-date unselectable">
        <input type="checkbox" id="log-entries__show-date-cb"/>
        Show dates of entries
      </label>
      <div id="log-entries__cont" class="log-entries__cont">
      </div>
    </div>

  </div>
</xsl:template>

<xsl:template match="log/module">
  <div class="unselectable">
    <label>
      <input type="checkbox">
        <xsl:attribute name="id">
          <xsl:text>log-form__mod-</xsl:text>
          <xsl:value-of select="@name"/>
        </xsl:attribute>
        <xsl:if test=".='1'">
          <xsl:attribute name="checked">1</xsl:attribute>
        </xsl:if>
      </input>
      <xsl:value-of select="@name"/>
    </label>
  </div>
</xsl:template>

</xsl:stylesheet>
