<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output doctype-system="about:legacy-compat" method="html" indent="no" encoding="utf-8"/>

<!-- Edit user vCard -->

<xsl:template match="vcard">
  <script src="js/vcard.js" type="text/javascript" language="javascript"></script>
  <form enctype="multipart/form-data" method="post" id="vcard">
    <input type="hidden" name="vCard" value="1"/>
    <div class="pe__row pe__row_hdr">
      vCard
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Family name
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="family-name"
          type="text" name="N-family" value="{prop[@name='N-family']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Given name
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="given-name"
          type="text" name="N-given" value="{prop[@name='N-given']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Additional/Middle names
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="additional-name"
          type="text" name="N-mid" value="{prop[@name='N-mid']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Honorific prefixes
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="honorific-prefix"
          type="text" name="N-pref" value="{prop[@name='N-pref']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Honorific suffixes
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="honorific-suffix"
          type="text" name="N-suff" value="{prop[@name='N-suff']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Full name/Title
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText"
          type="text" name="FN" required="1" value="{prop[@name='FN']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Nick
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="nickname"
          type="text" name="NICKNAME" value="{prop[@name='NICKNAME']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Organization
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="organization-title"
          type="text" name="ORG" value="{prop[@name='ORG']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Department
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="organization"
          type="text" name="ORG-dep" value="{prop[@name='ORG-dep']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Job title
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText"
          type="text" name="TITLE" value="{prop[@name='TITLE']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Telephone number, work
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="work tel"
          type="tel" name="TEL-work" value="{prop[@name='TEL-work']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Telephone number, home
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="home tel"
          type="tel" name="TEL-home" value="{prop[@name='TEL-home']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Telephone number, cell
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="mobile tel"
          type="tel" name="TEL-cell" value="{prop[@name='TEL-cell']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Alternative email
      </div>
      <div class="peRowCtl__ctl">
        <input class="pe__inputText" autocomplete="email"
          type="email" name="EMAIL" value="{prop[@name='EMAIL']}">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
        </input>
      </div>
    </div>
    <div class="pe__row pe__row_ctl">
      <div class="peRowCtl__caption">
        Note
      </div>
      <div class="peRowCtl__ctl">
        <textarea class="pe__inputText pe__inputText_textarea" rows="5"
                  name="NOTE">
          <xsl:if test="@read-only">
            <xsl:attribute name="readonly">1</xsl:attribute>
          </xsl:if>
          <xsl:value-of select="prop[@name='NOTE']"/>
        </textarea>
      </div>
    </div>
    <xsl:if test="not(@read-only)">
      <div class="pe__row pe__row_btn">
        <input class="btn" type="submit" value="Apply"/>
      </div>
    </xsl:if>
  </form>
</xsl:template>

</xsl:stylesheet>
